# Filename: point_t.py
# Purpose:  Point t (0/1 = connection).
# Returns: Integer.

from maptek import vulcan_gui

# select location of point
pick1 = vulcan_gui.pick_point() # creates a point object
pick1.set_single_point() # set property to select only one point
pt1 = pick1.pick('Pick point') # pick the point

'''
The function pick() returns a tuple, therefore to use a point that has been
selected you must extract the point element from the tuple by index.
Example: pt1[0]
'''

# to set point connection:
pt1[0].t = 1

# to get point connection:
n = pt1[0].t
print(n)